Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Macros | Enumerations | Functions
parser.c File Reference
`#include "../fbuffer/fbuffer.h"`
`#include "parser.h"`

Go to the source code of this file.

## Macros
#define | EXC_ENCODING rb_utf8_encoding(),
#define | rb_enc_raise enc_raise

## Enumerations
enum | { JSON_object_start = 1 }
enum | { JSON_object_first_final = 27 }
enum | { JSON_object_error = 0 }
enum | { JSON_object_en_main = 1 }
enum | { JSON_value_start = 1 }
enum | { JSON_value_first_final = 29 }
enum | { JSON_value_error = 0 }
enum | { JSON_value_en_main = 1 }
enum | { JSON_integer_start = 1 }
enum | { JSON_integer_first_final = 3 }
enum | { JSON_integer_error = 0 }
enum | { JSON_integer_en_main = 1 }
enum | { JSON_float_start = 1 }
enum | { JSON_float_first_final = 8 }
enum | { JSON_float_error = 0 }
enum | { JSON_float_en_main = 1 }
enum | { JSON_array_start = 1 }
enum | { JSON_array_first_final = 17 }
enum | { JSON_array_error = 0 }
enum | { JSON_array_en_main = 1 }
enum | { JSON_string_start = 1 }
enum | { JSON_string_first_final = 8 }
enum | { JSON_string_error = 0 }
enum | { JSON_string_en_main = 1 }
enum | { JSON_start = 1 }
enum | { JSON_first_final = 10 }
enum | { JSON_error = 0 }
enum | { JSON_en_main = 1 }

## Functions
void | Init_parser (void)

## Macro Definition Documentation

## ◆ EXC_ENCODING

#define EXC_ENCODING rb_utf8_encoding(),

Definition at line 7 of file parser.c.

## ◆ rb_enc_raise

#define rb_enc_raise enc_raise

Definition at line 21 of file parser.c.

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
JSON_object_start |

Definition at line 108 of file parser.c.

## ◆ anonymous enum

anonymous enum

Enumerator
JSON_object_first_final |

Definition at line 109 of file parser.c.

## ◆ anonymous enum

anonymous enum

Enumerator
JSON_object_error |

Definition at line 110 of file parser.c.

## ◆ anonymous enum

anonymous enum

Enumerator
JSON_object_en_main |

Definition at line 112 of file parser.c.

## ◆ anonymous enum

anonymous enum

Enumerator
JSON_value_start |

Definition at line 486 of file parser.c.

## ◆ anonymous enum

anonymous enum

Enumerator
JSON_value_first_final |

Definition at line 487 of file parser.c.

## ◆ anonymous enum

anonymous enum

Enumerator
JSON_value_error |

Definition at line 488 of file parser.c.

## ◆ anonymous enum

anonymous enum

Enumerator
JSON_value_en_main |

Definition at line 490 of file parser.c.

## ◆ anonymous enum

anonymous enum

Enumerator
JSON_integer_start |

Definition at line 880 of file parser.c.

## ◆ anonymous enum

anonymous enum

Enumerator
JSON_integer_first_final |

Definition at line 881 of file parser.c.

## ◆ anonymous enum

anonymous enum

Enumerator
JSON_integer_error |

Definition at line 882 of file parser.c.

## ◆ anonymous enum

anonymous enum

Enumerator
JSON_integer_en_main |

Definition at line 884 of file parser.c.

## ◆ anonymous enum

anonymous enum

Enumerator
JSON_float_start |

Definition at line 979 of file parser.c.

## ◆ anonymous enum

anonymous enum

Enumerator
JSON_float_first_final |

Definition at line 980 of file parser.c.

## ◆ anonymous enum

anonymous enum

Enumerator
JSON_float_error |

Definition at line 981 of file parser.c.

## ◆ anonymous enum

anonymous enum

Enumerator
JSON_float_en_main |

Definition at line 983 of file parser.c.

## ◆ anonymous enum

anonymous enum

Enumerator
JSON_array_start |

Definition at line 1168 of file parser.c.

## ◆ anonymous enum

anonymous enum

Enumerator
JSON_array_first_final |

Definition at line 1169 of file parser.c.

## ◆ anonymous enum

anonymous enum

Enumerator
JSON_array_error |

Definition at line 1170 of file parser.c.

## ◆ anonymous enum

anonymous enum

Enumerator
JSON_array_en_main |

Definition at line 1172 of file parser.c.

## ◆ anonymous enum

anonymous enum

Enumerator
JSON_string_start |

Definition at line 1508 of file parser.c.

## ◆ anonymous enum

anonymous enum

Enumerator
JSON_string_first_final |

Definition at line 1509 of file parser.c.

## ◆ anonymous enum

anonymous enum

Enumerator
JSON_string_error |

Definition at line 1510 of file parser.c.

## ◆ anonymous enum

anonymous enum

Enumerator
JSON_string_en_main |

Definition at line 1512 of file parser.c.

## ◆ anonymous enum

anonymous enum

Enumerator
JSON_start |

Definition at line 1852 of file parser.c.

## ◆ anonymous enum

anonymous enum

Enumerator
JSON_first_final |

Definition at line 1853 of file parser.c.

## ◆ anonymous enum

anonymous enum

Enumerator
JSON_error |

Definition at line 1854 of file parser.c.

## ◆ anonymous enum

anonymous enum

Enumerator
JSON_en_main |

Definition at line 1856 of file parser.c.

## Function Documentation

## ◆ Init_parser()

void Init_parser | ( | void |  | ) |

Definition at line 2083 of file parser.c.

References rb_require().